<acl xmlns="http://openconfig.net/yang/acl">
  <interfaces>
    <interface{% if operation is defined %} xmlns:nc="urn:ietf:params:xml:ns:netconf:base:1.0" nc:operation="{{operation}}"{% endif %}>
      <id>{{id}}</id>
      <config>
        <id>{{id}}</id>
      </config>
      <interface-ref>
        <config>
          <interface>{{interface}}</interface>
          {% if subinterface is defined %}<subinterface>{{subinterface}}</subinterface>{% endif%}
        </config>
      </interface-ref>
      <egress-acl-sets>
        <egress-acl-set>
          <set-name>{{set_name_egress}}</set-name>
          <type>{{type_egress}}</type>
          <config>
            <set-name>{{set_name_egress}}</set-name>
            <type>{{type_egress}}</type>
          </config>
        </egress-acl-set>
      </egress-acl-sets>
    </interface>
  </interfaces>
</acl>
